Obter log do app
curl --request GET \
--url https://api.upag.io/v1/apps/{appId}/logs/{logId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/apps/{appId}/logs/{logId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/apps/{appId}/logs/{logId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Apps
Obter log do app
Consulta um disparo registrado de um app
GET
https://api.upag.io
/
v1
/
apps
/
{appId}
/
logs
/
{logId}
Obter log do app
curl --request GET \
--url https://api.upag.io/v1/apps/{appId}/logs/{logId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/apps/{appId}/logs/{logId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/apps/{appId}/logs/{logId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Permissão:
app.read (chave secreta).
Endpoint
curl https://api.upag.dev/v1/apps/b7c8d9e0-f1a2-4b3c-8d4e-5f6a7b8c9d01/logs/d9e0f1a2-b3c4-4d5e-8f6a-7b8c9d0e1f23 \
-H "Authorization: Bearer sk_test_your_api_key"
import { Upag } from 'upag';
const upag = new Upag('sk_test_your_api_key');
// upag.apps.logs.retrieve(appId, logId)
const log = await upag.apps.logs.retrieve(
'b7c8d9e0-f1a2-4b3c-8d4e-5f6a7b8c9d01',
'd9e0f1a2-b3c4-4d5e-8f6a-7b8c9d0e1f23',
);
Em produção use
https://api.upag.io/v1 com sk_live_....Parâmetros
string (uuid)
required
ID do app.
string (uuid)
required
ID do log.
Resposta
200 OK
request e response são strings (corpo enviado e resposta do provedor); response, statusCode e duration (ms) podem ser null se o envio falhou antes da resposta.
Response
{
"id": "d9e0f1a2-b3c4-4d5e-8f6a-7b8c9d0e1f23",
"app": "b7c8d9e0-f1a2-4b3c-8d4e-5f6a7b8c9d01",
"event": "invoice.paid",
"method": "POST",
"url": "https://api.utmify.com.br/api-credentials/orders",
"statusCode": 200,
"duration": 312,
"request": "{\"transactionId\":\"...\"}",
"response": "{\"success\":true}",
"success": true,
"createdAt": "2026-03-18T12:00:00.000Z"
}
404 — APP_NOT_FOUND ou APP_LOG_NOT_FOUND.